TAAS - Feature #76

Set Fee/Discount
10/31/2022 10:31 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 10/31/2022
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 32:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Fee/Discount

Description

Coding Set Fee/Discount

History

#1 - 11/01/2022 05:23 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#2 - 11/01/2022 05:46 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 11/01/2022 06:48 PM - Junaid M
- File deleted (2-tsModel.ts)

#4 - 11/01/2022 06:48 PM - Junaid M
- File deleted (1-CsModel.cs)

#5 - 11/01/2022 06:48 PM - Junaid M
- File deleted (4-CsControllerFile.cs)

#6 - 11/01/2022 06:48 PM - Junaid M
- File deleted (3-CsFile.cs)

#7 - 11/01/2022 06:48 PM - Junaid M
- File deleted (5-TsFile.ts)

#8 - 11/01/2022 06:48 PM - Junaid M
- File deleted (6-HtmliFile.htmi)

#9 - 11/01/2022 06:48 PM - Junaid M
- File deleted (sql.sql)

#10 - 11/01/2022 06:50 PM - Junaid M
- File 1-CsModel.cs added
- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added
- File 5-TsFile.ts added

- File 6-HtmlFile.html added

#11 - 11/02/2022 08:50 PM - Junaid M
- File deleted (2-tsModel.ts)

#12 - 11/02/2022 08:50 PM - Junaid M
- File deleted (1-CsModel.cs)

#13 - 11/02/2022 08:50 PM - Junaid M
- File deleted (3-CsFile.cs)

#14 - 11/02/2022 08:50 PM - Junaid M
- File deleted (4-CsControllerFile.cs)

#15 - 11/02/2022 08:51 PM - Junaid M
- File deleted (6-HtmiFile.html)

#16 - 11/02/2022 08:51 PM - Junaid M
- File deleted (5-TsFile.ts)

#17 - 11/02/2022 08:51 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#18 - 11/03/2022 09:55 AM - Anil KV

- Assignee changed from Junaid M to Christy Saint

#19 - 11/07/2022 09:52 AM - Christy Saint
- Status changed from Open to Coding Started

- % Done changed from 10 to 40

#20 - 11/07/2022 08:08 PM - Junaid M

Data Service Path: TAAS\ClientApp\src\app\services\travel\travel-data.service.ts
Data Service Name: IstClass, IstGDSs, IstTicketType, IstSetFeeCalculationBsedOn, IstHotelRoomType, IstTripType

#21 - 11/12/2022 10:58 AM - Christy Saint
- Status changed from Coding Started to Patrticialy Coding Done

#22 - 11/18/2022 05:49 PM - Christy Saint
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#23 - 11/30/2022 12:44 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET VALIDATION ON DATE PICKER

2.SET PROPER ALERTS FOR FUNCTIONS
3.SET NUMERIC FIELD ONLY FOR NUMBERS
(TICKET --> AIRLINE)

4.REMOVE AUTO COMPLETION FROM CODE
(HOTEL)

#24 - 01/16/2023 05:53 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 01/17/2023 02:47 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISUE FOUND ****

1.FIXBUGS ON DATE

(AUTOMATICALLY CHANGE TO PREVIOUS DATE)
2.SET VALIDATION ON FEE WIDGET

3.UPDATE REGION

#26 - 05/18/2023 04:26 PM - Amal Cyriac

ISSUE FOUND *****

1.Add precision on amount

2.Set max. limit on input box

3.Prevent save before choose account for set fee
(Disable save button)

4.FIX BUGS ON DATE

(AUTOMATICALLY CHANGE TO PREVIOUS DATE)
5.SET VALIDATION ON FEE WIDGET

6.UPDATE REGION

#27 - 06/09/2023 06:07 PM - Junaid M

GUI Change:-
1. Change UI like Note module

To Date is not mandatory, Give Blue star

~N o U w N

Remove mode tab

#28 - 07/26/2023 06:40 PM - Christy Saint
1. GUI Changes (Used reference papers)

#29 - 09/15/2023 05:17 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Add checkbox to top dropdown, general untick disable.

GRID-. #|Period|Service Fee|Refund Charge|Service|Supplier|Branch|edit icon
Fee Tab -> Add Two Field Insurance Charge, Corp Charge

Rename Dropdown label -> Customer to Fop/Customer, All Customer to General

title-> Tick Means All Customer/Sys Type/ Family...

Set Fee Service Tab, Supplier tab and Region Tab tick box is pending (while update, ok and edit button)

#30 - 09/16/2023 05:36 PM - Seema Mathew

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED****

1.WHILE UPDATING DATA NOT REMOVING BRANCH
#31 - 10/30/2023 06:33 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Service, Supplier, Region Tick issue still remaining

#32 - 10/31/2023 11:46 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CORRECT AIRLINE TAB US CENTRE WHILE CHOOSING AIR TICKET SERVICE,ADD TOOL TIP FOR CHECK BOX fixed
2.DONT ALLOW TO SAVE WITHOUT BLANK OPTION WHILE ADDING HOTEL LISTS OR AIRLINE LISTS fixed

3.MISSING BASED ON - INSURANCE CHARGE EQUATION fixed

4.REDUCE CHECK BOX WIDTH IN REGION LIST fixed

5.WHILE CHOOSING ALL SELECT IN SERVICES TICKET HOTEL TAB SHOWING ONLY WHILE FOCUS OUT fixed
6.SHOW AIRLINE TYPES IN LIST US PER CHOOSEN CHECK BOX OF AIRLINE MASTER

7.MISSING ADDED CUSTOMER SHOWING US GENERAL

8.NOT SHOWING SERVICE LIST ITEM IN GRID WHILE SELECTING ALL ITEMS

9.NOT CLEARING ADDED SERVICE AFTER UNTICK CASE FIXED

#33 - 11/01/2023 09:17 PM - Junaid M

- Assignee changed from Christy Saint to Baseem Shan

#34 - 01/01/2024 12:00 PM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#35 - 01/18/2024 07:08 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.CORRECT AIRLINE TAB US CENTRE WHILE CHOOSING AIR TICKET SERVICE,ADD TOOL TIP FOR CHECK BOX fixed
2.DONT ALLOW TO SAVE WITHOUT BLANK OPTION WHILE ADDING HOTEL LISTS OR AIRLINE LISTS fixed

3.MISSING BASED ON - INSURANCE CHARGE EQUATION fixed

4.REDUCE CHECK BOX WIDTH IN REGION LIST fixed

5.WHILE CHOOSING ALL SELECT IN SERVICES TICKET HOTEL TAB SHOWING ONLY WHILE FOCUS OUT fixed
6.SHOW AIRLINE TYPES IN LIST US PER CHOOSEN CHECK BOX OF AIRLINE MASTER

7.MISSING ADDED CUSTOMER SHOWING US GENERAL

8.NOT SHOWING SERVICE LIST ITEM IN GRID WHILE SELECTING ALL ITEMS

9.NOT CLEARING ADDED SERVICE AFTER UNTICK CASE FIXED

#36 - 02/05/2024 12:44 PM - unnikannan S
TESTING DONE

#37 - 02/05/2024 12:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.REMOVE CURRENCY LABEL FROM LIST fixed

2.SHOW DATE BASED ON WHICH FIELD IN LIST

3.MISSING TICKET TAB IN UPDATE fixed

4 ERROR WHILE CLEARING UP TO DATE AND SAVE (Cannot read properties of null (reading 'getFullYear') fixed
5.SHOWING CUSTOMER/SUPPLIER ACCOUNTS WHILE CHOOSING CREDIT/DEBIT CARD fixed

#38 - 02/05/2024 09:02 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.REMOVE CURRENCY LABEL FROM LIST fixed
2.SHOW DATE BASED ON WHICH FIELD IN LIST
3.MISSING TICKET TAB IN UPDATE fixed

4 ERROR WHILE CLEARING UP TO DATE AND SAVE (Cannot read properties of null (reading 'getFullYear') fixed
5.SHOWING CUSTOMER/SUPPLIER ACCOUNTS WHILE CHOOSING CREDIT/DEBIT CARD fixed

#39 - 02/20/2024 11:25 AM - unnikannan S
TESTING DONE

#40 - 02/20/2024 11:27 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.DUPLICATION OF DATA IN LIST WHILE UPDATE
#41 - 02/21/2024 10:10 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DUPLICATION OF DATA IN LIST WHILE UPDATE
2.SHOW VALID GROUPING DATA OF SUPPLIERS

#42 - 03/19/2024 03:10 PM - unnikannan S
TESTING DONE

#43 - 03/19/2024 03:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW DATA IN LIST ON SAVE

#44 - 03/19/2024 05:46 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.SHOW DATA IN LIST ON SAVE

#45 - 05/14/2024 10:38 AM - unnikannan S
- File clipboard-202405141038-ilqda.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#46 - 05/21/2024 08:37 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

immediate load ond ok button click is cause ok button after load and some time no error seen
#47 - 11/21/2024 06:52 PM - Theja Ponon

- File clipboard-202411211748-cnrkk.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)AFTER SETTING ONE FEE CANT ADD ANOTHER FEE FOR ANY CATEGORY USING NEW BUTTON
2)AFTER DELETING ONE ITEM FROM THE GRID DATA IN THE INPUT FIELD GET CLEARED.
3)CHANGE THE MESSAGE INTO A INFO MESSAGE

FOP/Customer - | CT02 Augustin & OK

xS

+ New T Q

Discount Service Fee Refund Charge = Service Supplier

2]
&

Region Branch

#48 - 11/25/2024 09:27 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1)AFTER SETTING ONE FEE CANT ADD ANOTHER FEE FOR ANY CATEGORY USING NEW BUTTON
2)AFTER DELETING ONE ITEM FROM THE GRID DATA IN THE INPUT FIELD GET CLEARED.
3)CHANGE THE MESSAGE INTO A INFO MESSAGE

#49 - 11/30/2024 02:21 PM - Theja Ponon

- File clipboard-202411301315-zemgv.png added
- File clipboard-202411301318-khffu.png added

- File clipboard-202411301318-uikkh.png added
- File clipboard-202411301330-koiv0.png added
- File clipboard-202411301411-yq2yk.png added

ISSUE FIXED

OUT ENTERING ANY INPUT AND PRESS OK ENABLES SAVE BUTTON

LTo

FOP/Customer ~ & OK

www

+ e T a s @

Discount Service Fee Refund Charge = Service Supplier Region Branch

2)AFTER ENTERING ONE INPUT AND PRESS OK BLOCK THE DROPDOWN FOR CHOOSING ANOTHER
clipboard-202411301318-wgdqgz.png

3)THE INITIAL MESSAGE IS NOT CLEARING AFTER SAVING ONE FEE
SET FEE DISCOUNT has been Saved.

Mo Fes/Discount Found
FOP/Customer = | CT02 Augustin & 0K
www
+ New
Discount Service Fee Refund Charge = Service Supplier Region Branch
~  Date: Effective Period(lssue Date) = 30/11/2024
100 100 100 | SADD1: Air Ticket Service , SAD02: Hotel .. SP02- Augustin, SP03: Bartin, 5905 Nit BRDO1: Main

4)PRESSING DELETE WILL REMOVE ONLY THE LAST ADDED FEE

Set Fee/Discount zlo =~ Menu—r-'_q B | A O

*

8 Mew

FOP/Custormer - | CT02 Augustin & OK
wuw
+ New
Discount Service Fee Refund Charge = Service Supplier Region Branch
- Date: Effective Period(lssue Date) = 30/11/2024
1.00 1.00 100 | SA001: Air Tickst Service, SADO .| SP02: Awgustin, SPO3: Bertin, SPO: Nit.. BROOT: Main

100 100 100  SAD01: Air Ticket Service . SAD0Z- Hotel S SP02- Augustin . SP03: Bertin, SPOS: Nit

0.00 0.00 oo BRDOT:: Main

5)ENTER SAVE AFTER ADDING ONE ENTRY IN THE INPUT BOX WILL ADD DATA IN THE GRID
6)DELETION ONE FEE WILL NOT CLEAT SUPPLIER AND HOTEL AND SERVICE

#50 - 11/30/2024 02:27 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#51 - 12/09/2024 09:25 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#52 - 01/10/2025 05:36 PM - Arathy PS

- File clipboard-202501101707-cptxp.png added

- File clipboard-202501101708-whhhz.png added

- File clipboard-202501101728-e7xcd.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Vivekp V to Augustin Jose

- % Done changed from 70 to 50

ISSUE FOUND

1. Percentage wise values set on the fields are not displaying in the grid.
2. While clicking ok after setting more than one kind of set fee/discount.
Set Fee/Discount

Credit General(All) -

v¥y
+ New Y Q 2 I
Discount Service Fee Refund Charge = Service Supplier Region Branch
~  Date: Effective Period(Issue Date) :: 10/01/2025 - 12/01/2025
10 25 0 rd

3. No service type for package.

Set Fee/Discount

Credit General(All) = & OK

Effective Period(lssue Date)” ~ | 10/01/2025 Q 0B cammy ] service = Supplier Region  Branch

Currency” | QAR v .
- wibfimmre ] <T@ B 8 @

Discount | 0.00 Based On y
Code Name Status
Service Fee | 0.00 Based On l
4
~  Service Type:
W tF Based O
anagement fee | 0.00 S 4 SAD0G Package Service Active
Corporate Card Charge | 0.00 Based On P ~  Service Type: Other Service
Insurance Charge | 0,00 Based On 4 S4005 Other Service Actve
~  Service Type: Air Ticket Service
Refund Charge | 0,00 Based On 4
SAD01 Air Ticket Service Active
Void Charge | 0.00 Based On
4 SAD07 Airway Service Active
Remarks y +  Service Type: Stay(Hotel) Service
SADD2 Hotel Service Active
Created By: Modified By:
~  Service Type: Transfer(Car) Service
SAD03 Transfer Service Active
~  Service Type: Visa Service
SADD4 Visa Service Active
ana
+ New T @ B @&
Discount Service Fee Refund Charge = Service Supplier Region Branch
~  Date: Effective Period(Issue Date) == 10/01/2025 - 12/01/2025
10 25 0 &

4. Drop down for category selection not appearing when we click on New button after being in edit mode of any category.
5. While entering a customer in the category type.

FOP/Customer = | CUS004 AIMAL HAAFIS. & 0K
Effective Period(lssue Date)” = | 10/01/2025 QB y [} Service | Supplier  Region  Branch
Elements Console  Sources  Network  Performance  Memory  Application  Security Lighthouse ~ Recorder ©241 B

[ @ twpr @ Y Filter Defauit levels ¥ 61 Issues: B 1 60

[HMR] Waiting for update signal from WDS...

A »You are running production build of Inferno in development mode. Use devimodule entry point.

Aangular is running in developrent mode. Call enableProdiiode() to enable proguction mode

[webpack-dev-server] Hot Module Replacement enabled. Rolyfills

[webpack-dev-server] Live Reloading ensbled. Bolyfills
© > [Deprecation] Listener added for a 'DOMiodelnserted’ mutation event. Support for this event type has been removed, and this event will no longer be fired. See https: feature/5083947249172488 for more information. polyfills.

© »ERROR Error: Uncaught (in promise): Error: Select An Account for Setting Fee.
Error: Select An Account for Setting Fee.
at SetFeeDiscountComponent.fnOkValidation {mein.js:1136610:13)
at main.js:1136358:18
at Generator.next (<anonymous>)
at asyncGeneratorStep (mein.js
i 86

186327:

5:1863289:12

at SetFeeDiscountComponent. fnliewF eeExpand (mail
at SetFeeDiscountComponent. FnkValidation (ma:
at main.js:1136358:16
at Generator.next (<anonymous>)
at asyncGeneratorStep (main.js:1863271:24)
at _next (main.js:1863203:9)

in. i :18

137159:10)
1136610:13)

at new ZoncAwarePromise (polyfills.js:9424:21)
main.is:1863189:12
: omponent 1ick (main.js:1136425:7)
at SetFeeDiscountComponent.fnNewFeeExpand (main.js:1137159:18)
i5:9212:19)

st
at

at resoluePromise (polyfills.is
at polyFills.js:0107:0

at asyncGeneratorStep (mai
mai

lick (main.js:1136425:7)
at SetFecDiscountComponent . friewFecExpand (nai 137159:10)

is
at SetFeeDiscountComponent_Template_div_click 842 listener (main.js:1139948:70)

>
6. Not showing saved data when only percentage wise input is given for any category.
7. Not connected to sale--? discuss

#53 - 01/15/2025 10:02 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

pending--> Integration To Issue, Sale modules

#54 - 01/15/2025 12:06 PM - Theja Ponon

- File clipboard-202501151157-hxqns.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)disable the dropdown after ok click
2)refund charge gives on % is not showing in the grid

ravvise Set Fee/Discount
pVEL SOLUTION PVT LTD
Discount | 0.00 % | 2.00 Based On | [{SUPPLIER_FEE}} y
Service Fee | 0.00 % | 3.00 Based On | [{{SUPPLIER_POSTING_AMOUNT}}
Management Fee | 0.00 % | 400 Based On {{AGENCY_REFUND_CHARGE}}
Corporate Card Charge | 0.00 % | 0.00 Based On {{CUSTOMER_POSTING_AMOUNTH y
nsurance Charge | 0.00 % | 0.00 Based On | {{NORMAL_PROFIT} y
Refund Charge | 0,00 % | 2,00 Based On | [{DISCOUNT}} y
Void Charge | 0.00 % | 4.00 Based On | {{AGENCY_REFUND_CHARGE}
Remarks
&
Created By:  Administrator Modified By: Administrator
(15/01/2025 11:36 AM) (15/01/2025 11:57 AM)
1]
ARARAR
+ New
Discount Service Fee Refund Charge = Service

~  Date: Effective Period(Issue Date) == 15/01/2025 - 17/01/2025

2% 3% 0.00

Code

SAD0T

SA002

SAD03

SAD06

SA003

SAD04

Supplier

Name Status
Air Ticket Service Active
Hotel Service Active
Other Service Active
Package Service Active
Transfer Service Active
Visa Service Active
T @
Region Branch
BROOT: Main

[

B Update

New

W Delete

' @

3)on pressing Mew button in the grid the grid becomes empty
4)Filter icons are not showing for service fee,discount

#55 - 01/15/2025 02:33 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 01/25/2025 04:39 PM - Arathy PS

- File clipboard-202501251639-kx58d.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.While trying to update a already created set Fee/Discount.--For the same category we have two datas and this error occurs while trying to update

second data.

2.While saving the data no branch is selected on the branch tab, but while on edit mode the branch is selected.

3. While reloading and clicking ok button.
Set Fee/Discount

Credit General(All) ~ & oK

vy

et Fee + New T Q 2 o
Discount Service Fee Refund Charge | Service Supplier Region Branch
~  Date: Effective Period(Issue Date) =: 25/01/2025
8 2% 10 &
5% 10 2% &

#57 - 01/28/2025 04:45 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#58 - 02/08/2025 10:48 AM - Arathy PS

- File clipboard-202502081033-zwcl2.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can save invalid data on the based on field.
‘TfaVVise Set Fee/Discount

Cash Mode General(Al) = & 0K
Effective Period(issue Date)~ | 03/02/2025 Q B 7 1oomes o0 Service | Supplier  Region  Ticket  Branch
Cumens” QAR v o
e List Group By | No Grouping v T Q ==
Discount | 0.00 % 200 BasedOn | 2 ]
- Code Name Status
SemiczFez | 000 % s 82520 On | (FARE/RATE/VISA_CHARGE]} y
4 v sA001 Air Ticket Service Active
M tF, % Based O
nagementFee | 000 000 eseatn P sA002 Hotel Service Active
Corporate Card Charge | 0,00 % | 000 Based On j 54005 Other Seriice Active
Insurance Charge | 0,00 % | 000 Based On ) 54006 Package Service Active
SA003 Transfer Service Active
Refund Charge | 0,00 % | 000 Based On )
SA004 Visa Service Active
Void Charge | 0.00 % o0 Based On )
Remarks
y
Created By: Administrator (08/02/2025 1032 AM) Modified By:
Ana
+ New Y @ = @
Discount Service Fee Refund Charge = Service Supplier Region Branch
~ Date: Effective Period(issuc Date) :: 08/02/2025 - 10/02/2025
2% 5% 000 SADOT: Air Tcket Service BROOT: Main P

#59 - 02/11/2025 10:33 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#60 - 02/12/2025 05:09 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- Assignee changed from Augustin Jose to Sreeranjini T

- % Done changed from 70 to 50

NEW CHANGES

1. FIXED - Hide void charge.
2. FIXED - All other fare components should be shown based on admin settings.
3. Fixed - After service tab add package category tab -- package category should be listed out with checkbox.
4. Fixed - In the supplier tab on grid add an add button to search supplier and enter them.--remove status,group.
5. Add 3 more category after cash -- FOP (act as client with cash mode), Customer (from master), Act as customer (act as customer checkbox ticked
for non cash mode).

#61 - 02/13/2025 06:34 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#62 - 02/18/2025 04:37 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

New Change

1)Enable
Set Fee/Discount --> Void Charge
[Do after dicuss with Anil]

New Change

1)Add "Relssue Service Fee" after Service Fee

#63 - 02/19/2025 09:49 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#64 - 02/19/2025 09:56 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#65 - 02/19/2025 06:23 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#66 - 02/20/2025 02:09 PM - Arathy PS

- File clipboard-202502201241-1unje.png added

- File clipboard-202502201307-lhclk.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

Credit General(All) ~ ® 0K
Effective Period(issue Date)" - | 20/02/2025 o 8 [amw ] Service Package Category Supplier Region Ticket Hotel Branch
Curency” | QAR v 2=
Group BY  No Grouping v Y Q 2 O
Discount t | 0.00 % | 200 Based Or 4
Code Name Status
e | 0.00 % | 000 Based On | {COMMISSION}} y
- v SA001 Air Ticket Service Active
0 % 0 Based Or
4 SA002 Hotel Service Active
Refund Charge | 0.00 % | 200 Baszd On  ([TAX/VIP_EXPRESS CHARGE)) y v A0S Other Service Active
Void Charge | 1000 % | 000 Based On ] v SA006 Package Senvice Active
v SAO0T Ticket Service A Active
Remarks
2 v SAD03 Transfer Service Active
Created By: Administrator (20/02/2025 12:38 PM) Madiified By: v 24004 Vica Senice Active
an
+ New T a = I

2. Supplier set for other categories are showing while setting fee for new categories.
Set Fee/Discount

Customer - | CUS001 PAYMENT TERM CUSTOMER CHECK 2 oK
Effective Period(issue Date}* + | 20/02/2025 QO O [ aammimy o] Service Package Category  Supplier = Region  Branch
Curency® | QAR v 1
supplier List +add No Grouping ¥ T @ 2 I
Discount | 0.00 % | 000 Based On P
Code Name
SewviceFee | 000 % | 000 Based On
) N
SUP00T BSP &S W
Reissue Service Fee | 00 % | oo Based On J
Refund Charge | 0,00 % | 000 Based On P
Void Charge | 0.00 % | 000 Based On 4
Remarks
-
Created By Modified By:
PP
+ New T Q 2
Discount Service Fee Refund Charge | Service Supplier Region Branch
No data

3. While saving a set fee all branches in branch tab are by default showing ticked but on edit mode its missing.

4. Branch get missing on edit mode even after updation.

5. When we set a fee for a customer from customer/fop category then try to add again using customer category previously set fee is not showing in
the grid.

6. Add precision to reissue service fee.

#67 - 02/21/2025 11:10 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#68 - 02/24/2025 10:42 AM - Arathy PS

- File clipboard-202502241026-tsqsf.png added

- File clipboard-202502241028-7ctsd.png added

- File clipboard-202502241041-6j0Iz.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. fixed - Add button not working when we are on edit mode of an already set category.
2 fixed- While trying to add supplier.

Set Fee/Discount

Error converting value True to type ‘System.nt64[[". Path ‘mdSetFeeDiscount arFkSupplierAclds’, line 1, position 1195.
FOP/Customer = | €US001 customer & 0K
Effective Period(lssus Date)™~ | 24/02/2025 S B o] Service  Package Category = Supplier | Region  Branch
Cureng® | QAR v .
supplier List + Add No Grouping Y Q 2
Discount | 0.00 % | 200 Baszd On | ([SUPPLIER Fes) )
Code Name
ServiceFee | 0.00 % | 000 Based On
7 SUPODT 839 SUPPLIER PG|
Reissu Service Fee | 000 % | 000 Based On )
Refund Charge | 0.00 % | 000 Based On j
Void Charge | 000 % | 000 Based On p
Remarks
|
Created By: Modified By:
Ana
+ New T @ 2 [
Discount Service Fee Refund Charge | Service Supplier Region Branch
No data

3. fixed - Not showing based on of region.
Service  Package Category Supplier Region = Branch

Wl D)
T Q 2 @
= Region Based On
1 Domestic Select In GUI {In All Issue/Cancel)
2 International

4. fixed - Message from other tabs are showing in other tabs.
eg: fixed - Message from supplier tab is showing in hotel tab.

5. fixed - Discounts set through Customer/FOP is not showing when loading that customer or FOP in Customer and FOP category.

6. When we change customer using code name is not changing.

7. fixed - In branch tab a branch is by default selected by it not showed as saved as it is not showing in the grid but also in edit mode it is showing as
ticked.

8. Data not clearing from the entry field of category after deleting a set fee.

I@L‘,’.H!sﬁ Set Fee/Discount 2 9 = MEnu-_q WA l:)

FOP/Customer ~ | CUS001 custome & 0K

Effective Period(lssue Date)* = | 24/02/2025 Q0O 7| damm ] Service  Package Category  Supplier Region  Hotel = Branch

Currency” | QAR v V| select All
Discount | 0.00 % | 000 Based On ) « Main
Service F 0.00 % 500 Based On = {FARE/RATE/VISA_CHARGE}} j
Reissue Service Fes | 000 % | 000 Based On )
Refund Charge | 000 % | 000 Based On )
Void Charge | 0,00 % 000 Based On y
Remarks
P
(Created By: Administrator (24/02/2025 10:3% AM) Maodified By:
+ New T Q 2
Discount Service Fee Refund Charge | Service Supplier Region Branch
Date: Effective Period{lssue Date) = 24/02/2025
2% 000 000 Al Domestic BROO1:: Main v
0.00 5% 0.00 SAQ02: Hotel Service ra

#69 - 02/26/2025 06:04 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#70 - 03/03/2025 03:52 PM - Arathy PS

- File clipboard-202503031452-a3p4v.png added

- File clipboard-202503031548-ghnhs.png added

- File clipboard-202503031552-s8gks.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Branch on edit mode is missing.
Travvise Set Fee/Discount

3 Credit General(All) ~

vy
Set Fee/Discount # New Y Q 2 @
Discount Service Fee Refund Charge | Service Supplier Region Branch
~  Date: Effective Period(lssue Date) = 03/03/2025
2% 0.00 0.00 undefined: undefined rd
~  Date: Effective Period(Issue Date) =: 03/03/2025 - 05/03/2025
2% 0.00 000 undefined: undefined rd

2. While updating an already save data with some changes can't update.

_Travvise Set Fee/Discount

@ Asetfeswith same constraints already exists. X
Credit General(All) ~ & oK
Effective Period(ssue Date]* = | 03/03/2025 o 0 | ooy oD Senvice Package Category  Supplier Region  Ticket | Hotel = Branch
cureney” | QAR - Hotel = Room Type Meals Plan  Views
Discount | 0,00 % | 200 Based On | ([FARE/RATE/VISA CHARGE]}
3 A
3 g + Add Hotel | Group By No Grouping T Q &
Service Fes | 000 % | 0,00 Based On y
N Code Name Status
Reissue Service Fee | 000 % | 000 Based On J
Refund Charge | 000 % | 000 Based On
" 4 No data
Void Charge | 0,00 % | 000 Based On §
i Remarks
i
Created By:  Administrator (03/03/2025 12:21 PM) Modified By: ~ Administrator (03/03/2025 12:22 PM)
m
r Ann
Set Fee/Discount + New A 4 B &
Discount Service Fee Refund Charge | Service Supplier Region Branch
~  Date: Effective Period(Issue Date) = 03/03/2025
3% 000 000 SAODT: Air Ticket Service SUP0D2: ASP BROOT:: Main P
- Date: Effective Period(lssue Date)  03/03/2025 - 04/03/2025
32% 000 000 BROOT: Main &
~ Date: Effective Period(lssue Date) = 03/03/2025 - 05/03/2025
2% 000 000 BROOT:: Main &
2% 0.00 000  SADO1: Air Ticket Service SUPOO1: BSP SUPPLIER BROO1:= Main I ,

Travvise Set Fee/Discount

Credit General(Al) ~ oK
[0 ticket tab but UI tab data s stil shawing |
Effective Period(lssue Date)" = | 03/03/2025 @ B 7 os03205 (<] fiues Sressp@lmie Sl REQ'DI ]“”‘h
Curene | QAR v General | Airline
Discount | 0,00 % | 200 BasedOn | ([FARE/RATE/VISA CHARGE}}
4 Class | select. -
ServieeFee | 0,00 % | 000 Based On y Channel | 5ot -
3 Reissue Service Fee | 000 % | 000 Based On j GDS | Select -
Refund Charge | 0,00 % | 000 Based On ) TicketType | Select. M
Calculation Based On | Ticket Wi o Calculate Each Pax Wise
Void Charge | 0.00 % | 000 Based On ) icket Wise
Trip | One Way Ticket % Round Ticket % Multi Segment Ticket 3 -
Remarks
A Normal Tickst @ Re lssue Tickst @
b Adult @ Child @ Infant @
Created By:  Administrator (03/03/2025 02:50 PM) Modified By: Administrator (03/03/2025 0321 PM)
Bl
Ana
Set Fee/Dis + New T @ 2
d
Discount Service Fee Refund Charge | Service Supplier Region Branch

NEW CHANGES

Changes based on admin settings. also 1st priority for the customer then admin settings group

#71 - 03/05/2025 09:33 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#72 - 03/18/2025 12:14 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Can set a fee for label with based on as same label. ( eg: can set a fee for discount as 2% of discount itself)

#73 - 03/20/2025 09:44 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#74 - 03/28/2025 02:26 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Add validation when try to add same hotel in hotel tab.

#75 - 04/03/2025 06:13 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#76 - 04/08/2025 01:06 PM - Arathy PS

- File clipboard-202504081306-adff2.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data not showing in columns in edit mode for credit general only.

Credit General(All) ~ & 0K
Effective Period(lssus Date)™ - 08/04/2025 (el ] Service supplier ~Region  Branch
G v
s AR Y GroupBY  No Grouping v T Q 2 @
Discount | 0.00 % | 000 Based On P
Code Name Status
Service Fee | 0,00 % 000 Based On
5 SA001 Air Ticket Service Active
Reissue Service Fee | 0,00 % 000 Based On ) T T pctive
Refund Charge | 0,00 % | 0.00 Based On y SA005 Other Service Active
Void Charge | 0,00 % | 000 Based On ) SA0D6 Package Service Active
N k SA003 Transfer Service Active
= SADD4 Visa Service Active
Created By: Modified By:
+ New T Q 2 I
Discount Service Fee Refund Charge [Service Supplier Region Branch
- Jate: Eff 2025
3% 5% 0.00 undefined:: undefined f
2% 10 % 0.00 undefined:: undefined f
#77 - 04/12/2025 03:00 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
2-tsModel.ts 3.26 KB 11/02/2022 Junaid M
1-CsModel.cs 5.96 KB 11/02/2022 Junaid M
3-CsFile.cs
5-TsFile.ts

6-HtmlFile.html
